Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8158859

SA complains about mismatched versions strings on identical strings for fastdebug builds

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4
    • Resolution: Cannot Reproduce
    • Affects Version/s: 9
    • Fix Version/s: None
    • Component/s: hotspot
    • Labels:

      Description

      While running jstack on 1.9.0-ea-fastdebug-b51 I get warning:

      WARNING: Hotspot VM version 1.9.0-ea-fastdebug-b51 does not match with SA version 1.9.0-ea-fastdebug-b51. You may see unexpected results.

      Note that the two versions are identical.

      In jdk.hotspot.agent/share/classes/sun/jvm/hotspot/runtime/VM.java, in checkVMVersion(), code removes string "-fastdebug" from the "Hotspot VM version" side, and has comment that "SA version" side does not contain non-product substrings, but it looks like they do.

        Attachments

          Activity

            People

            • Assignee:
              jgeorge Jini George (Inactive)
              Reporter:
              drwhite Derek White
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: